<?php
if(function_exists('vc_map')) {
	add_action( 'init', 'mascot_core_educacion_reg_shortcodes_services', 998 );
}
function mascot_core_educacion_reg_shortcodes_services() {
	vc_map( array(
		'name'     => esc_html__( 'Service Title', 'mascot-core' ),
		'base'     => 'tmvc_services_title',
		'description' => esc_html__( 'Services', 'mascot-core' ),
		'category' => esc_html__( 'by TM Partials', 'mascot-core' ),
		'icon'	   => 'mascot-vc-icons vc-icon-tm-parts',
		'params'   => array(
			mascot_core_educacion_vc_add_css_editor(),
		)
	) );
	class WPBakeryShortCode_tmvc_services_title extends WPBakeryShortCode {
	}


	
	vc_map( array(
		'name'     => esc_html__( 'Service Thumb', 'mascot-core' ),
		'base'     => 'tmvc_services_thumb',
		'description' => esc_html__( 'Services', 'mascot-core' ),
		'category' => esc_html__( 'by TM Partials', 'mascot-core' ),
		'icon'	   => 'mascot-vc-icons vc-icon-tm-parts',
		'params'   => array(
			array(
				'type'			=> 'dropdown',
				"heading"		=> esc_html__( "Thumbnail Image Size", 'mascot-core' ),
				"param_name"	=> "thumb_image_size",
				'description'   => '',
				'value'			=> mascot_core_educacion_get_available_image_sizes_for_vc(),
				'std'			=> 'educacion_mascot_square',
				'admin_label'   => true,
			),
			mascot_core_educacion_vc_add_css_editor(),
		)
	) );
	class WPBakeryShortCode_tmvc_services_thumb extends WPBakeryShortCode {
	}
}